#
# spec file for package palapeli
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           palapeli
Summary:        Jigsaw puzzle game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Puzzle
Url:            http://www.kde.org
Version:        17.08.1
Release:        0
Source0:        palapeli-%{version}.tar.xz
BuildRequires:  libkdegames4-devel
BuildRequires:  xz
Requires:       palapeli-data = %{version}
%kde4_runtime_requires
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Palapeli is a jigsaw puzzle game. Unlike other games in that genre, you are not
limited to aligning pieces on imaginary grids. The pieces are freely moveable.
Also, Palapeli features real persistency, i.e. everything you do is saved on
your disk immediately.

%package data
Summary:        Palapeli's standard puzzle files
Group:          System/GUI/KDE
Requires:       palapeli = %{version}
BuildArch:      noarch

%description data
This package contains the standard puzzle files for Palapeli.

%package devel
Summary:        Development package for Palapeli
Group:          Development/Libraries/KDE
Requires:       palapeli = %{version}

%description devel
This package contains the development files for Palapeli.

%prep
%setup -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %suse_update_desktop_file -r org.kde.palapeli          Game BoardGame
  %kde_post_install

%post
/sbin/ldconfig
%mime_database_post

%postun
/sbin/ldconfig
%mime_database_postun

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kde4_bindir}/palapeli
%{_kde4_htmldir}/en/palapeli/
%{_kde4_applicationsdir}/org.kde.palapeli.desktop
%dir %{_kde4_iconsdir}/hicolor/24x24
%dir %{_kde4_iconsdir}/hicolor/24x24/apps
%dir %{_kde4_iconsdir}/hicolor/24x24/mimetypes
%{_kde4_iconsdir}/hicolor/*/apps/palapeli.*
%{_kde4_iconsdir}/hicolor/*/mimetypes/application-x-palapeli.*
%{_kde4_modulesdir}/palapeli_goldbergslicer.so
%{_kde4_modulesdir}/palapeli_jigsawslicer.so
%{_kde4_modulesdir}/palapeli_rectslicer.so
%{_kde4_modulesdir}/palathumbcreator.so
%{_kde4_libdir}/libpala.so.*
%{_kde4_servicesdir}/ServiceMenus/palapeli_servicemenu.desktop
%{_kde4_servicesdir}/palapeli_goldbergslicer.desktop
%{_kde4_servicesdir}/palapeli_jigsawslicer.desktop
%{_kde4_servicesdir}/palapeli_rectslicer.desktop
%{_kde4_servicesdir}/palathumbcreator.desktop
%{_kde4_servicetypesdir}/libpala-slicerplugin.desktop
%{_datadir}/mime/packages/palapeli-mimetypes.xml
%dir %{_kde4_appsdir}/metainfo
%{_kde4_appsdir}/metainfo/org.kde.palapeli.appdata.xml

%files data
%defattr(-,root,root)
%{_kde4_appsdir}/palapeli/
%{_kde4_configdir}/palapeli-collectionrc

%files devel
%defattr(-,root,root)
%{_kde4_includedir}/Pala/
%{_kde4_includedir}/libpala/
%{_kde4_libdir}/libpala.so
%{_kde4_libdir}/libpala/

%changelog
